#! /bin/sh
# setup.sh -- Configuration UUCP ALPHANET pour Linux Slackware 2.3.0
# Marc SCHAEFER <schaefer@alphanet.ch>
# Creation: 26/02/96
# Modification: 09/07/96
# V1.0 PV002 MSC96
# DISCLAIMER
#    No warranty, either expressed or implied
# COPYRIGHT
#    Fully protected under Berne Convention, use authorized
#    for ALPHANET NF members.
# BUGS
#    Sensitivity to / in variables because of sed.

cd /usr/lib/uucp/taylor_config

case `whoami` in
   root) ;;
   *) echo "Lancez ce programme sous root"
      exit;;
esac


echo "Configuration UUCP ALPHANET 1.0 MSC96"
echo ""
echo -n "Avez-vous lu la FAQ LINUX ALPHANET [o/N] ?: "
read Answer
case $Answer in
   o*|O*) ;;
   *)     echo ""
          echo "Et bien, faites-le."
          exit;;
esac
unset Answer

if [ -f config.done ]; then
   echo ""
   echo "Configuration dj effectue."
   echo -n "Recommencer la configuration [o/N] ?: "
   read Answer
   case $Answer in
      o*|O*) mv ORIG/*.orig .
             rmdir ORIG
             rm config.done sys.in sys.out port config dial;;
      *)  echo ""
          echo "Opration annule."
          exit;;
   esac
   unset Answer
fi


clear

while :
do
   echo -n "Nom de machine UUCP: "
   read ALPHANET_CONFIG_NODENAME
   case $ALPHANET_CONFIG_NODENAME in
      */*|*\.*|*,*|*:*|*!*) echo ""
                            echo "ERREUR: Mauvais caractre.";;
      *) break;;
   esac                     
done

while :
do
   echo -n "Login UNIX commenant par uu: "
   read ALPHANET_CONFIG_UUNAME
   case $ALPHANET_CONFIG_UUNAME in
      uu*) break;;
      *) echo ""
         echo "ERREUR: $ALPHANET_CONFIG_UUNAME ne commence pas par uu";;
   esac
done

echo -n "Mot de passe UNIX (attention  l'cho!) : "
read ALPHANET_CONFIG_UUSWORD

echo -n "Etes-vous dans l'indicatif (038) [O/n] ?: "
read Answer
case $Answer in
   n*|N*) ALPHANET_CONFIG_PHONE=038414081;;
   *) ALPHANET_CONFIG_PHONE=414081;;
esac
unset Answer

echo "Le numro du serveur ALPHANET est $ALPHANET_CONFIG_PHONE"
echo -n "Est-ce que cela est OK [O/n] ?: "
read Answer
case $Answer in
   n*|N*) echo -n "Nouveau numro: "
          read ALPHANET_CONFIG_PHONE;;
esac
unset Answer

while :
do
   echo -n "Entrez le nom du priphrique UNIX de sortie [/dev/ttyS0]: "
   read ALPHANET_CONFIG_MODEM_DEVICE
   if [ "$ALPHANET_CONFIG_MODEM_DEVICE" = "" ]; then
      ALPHANET_CONFIG_MODEM_DEVICE=/dev/ttyS0
   fi
   case $ALPHANET_CONFIG_MODEM_DEVICE in
      *%*) echo ""
           echo "ERREUR: mauvais caractre";;
      /dev/*) if [ -c $ALPHANET_CONFIG_MODEM_DEVICE ]; then
                 break
              fi
              echo ""
              echo "ERREUR: $ALPHANET_CONFIG_MODEM_DEVICE inexistant";;
      *) echo ""
         echo "ERREUR: ajoutez /dev/ devant";;
   esac
done

clear

echo "Nom UUCP de votre machine: $ALPHANET_CONFIG_NODENAME"
echo "Nom UNIX login ALPHANET:   $ALPHANET_CONFIG_UUNAME"
echo "Mot de passe UNIX login:   $ALPHANET_CONFIG_UUSWORD"
echo "Priphrique UNIX:         $ALPHANET_CONFIG_MODEM_DEVICE"
echo "Tlphone serveur UNIX:    $ALPHANET_CONFIG_PHONE"
echo ""
echo -n "Confirmation [O/n] ?: "
read Answer
case $Answer in
   n*|N*) echo ""
          echo "Relancez $0"
          exit;;
esac
unset Answer

echo ""
echo -n "Je procde  la configuration ..."

sed "s/ALPHANET_CONFIG_NODENAME/$ALPHANET_CONFIG_NODENAME/" < config.orig > config
sed "s%ALPHANET_CONFIG_MODEM_DEVICE%$ALPHANET_CONFIG_MODEM_DEVICE%" < port.orig > port
sed "s/ALPHANET_CONFIG_NODENAME/$ALPHANET_CONFIG_NODENAME/
     s/ALPHANET_CONFIG_UUNAME/$ALPHANET_CONFIG_UUNAME/
     s/ALPHANET_CONFIG_UUSWORD/$ALPHANET_CONFIG_UUSWORD/
     s/ALPHANET_CONFIG_PHONE/$ALPHANET_CONFIG_PHONE/" < sys.out.orig > sys.out
cat > sys.in sys.in.orig
cat > dial dial.orig

mkdir ORIG
mv *.orig ORIG
chown uucp *
chgrp uucp *
chmod 640 *
chmod u+x ORIG setup.sh connect.sh
touch config.done

echo " ok"
echo ""
echo "Configurez mail et news ds maintenant."
echo "NE TENTEZ PAS DE CONNEXION AVANT !"
